import React from "react";
export declare type Item = {
    height: number;
    id: any;
    element: React.ReactElement;
};
export declare function useFrame(prevItems: Item[], nextItems: Item[], progress: number, padding: number): {
    height: number;
    frame: {
        item: Item;
        itemHeight: number;
        translateY: number;
        opacity: number;
    }[];
};
